function [best_x]=StructOpt(n,Li,source,n_swarm,initfile, t_add, L1, f_1,pri)
%Created by Sren Ehlers

 %feasible values needed in the next run. Minimum the amount of variables.
swarm_size=n; %

%empty the files for old values
    fidOUT = fopen('generation_dev.txt','w'); 
    fclose(fidOUT);

% How to get initial population?
% 1 = random or 2 = read from file.
% PSO parameters.
 
 if source==1
  Algorithm = [n_swarm -1 1 1.4 0.8 3 2 pri];
 else
 Algorithm = [swarm_size -1 90 1.4 0.8 3 2 pri];
 end

% Upper and lower bound for continous variables tykkelse, stiver avstand
LowerB = [];
UpperB = [];

% PSO-parameter
% swarm_size = 5;        %minst s stor som variable mengden     
% feasibles_initial_population = -1;             % Feasible designs in intial population (-1 dont want to use).
% generations = 10;                              % Calculation rounds.
% inertia = 1.4;                                 % Intertia at start.
% beta = 0.8;                                    % Factor for dynamic inertia reduction 
% beta_k = 3;                                    % Number of rounds when it should improve, otherwise make inertia smaller
% penalty_factor = 2;                            % Penalty factor for violated constraints
% print_results = 1;                             % 0 not printed, 1 is
% printed (results)


% Number of continous variables 
    continous_variables = 0;

% Set of discrete variables
    nvariables=n; 
    Feasible_Set=inf(nvariables,31); 

    tn=1;
    for i=1:2:n
        tmin=max(ceil(t_add(tn,1)+t_add(tn,2)*L1/sqrt(f_1)),6);
        %tmin=7;
        tmax=27;
        tl=tmax-tmin+1;
    Feasible_Set(i,1:tl)=(tmin:1:tmax);             

     Lf=round(Li(tn)*10)/10; %length of panel rounded.
     nl=ceil((min(1,Lf)-0.4)/0.05+1); %number of steps
     Feasible_Set(i+1,1:nl)=(0.4:0.05:min(1,Lf)); %steps of 0.5 m
     tn=tn+1;
    end 
        
% Carry out the optimization.
if source == 1
    [best_f,best_x,best_g,history_f,history_x,history_g,iterations,...
        particle,particle_history,t_history] = PSO('particle_fun',... 
        continous_variables,Feasible_Set,LowerB,UpperB,Algorithm,[]);
    %Get enough feasible values and store them in another file
    
elseif source == 2
    if isempty(initfile)==1
    [best_f,best_x,best_g,history_f,history_x,history_g,iterations,...
        particle,particle_history,t_history] = PSO('particle_fun',....
        continous_variables,Feasible_Set,LowerB,UpperB,Algorithm,...
        'initial_feasible_population_disc.txt');
    else
        [best_f,best_x,best_g,history_f,history_x,history_g,iterations,...
        particle,particle_history,t_history] = PSO('particle_fun',....
        continous_variables,Feasible_Set,LowerB,UpperB,Algorithm,...
        initfile);
    end
end


%Best feasible particletion
format compact;
disp(' ')
disp(' ')
disp('Results:')
best_f,best_x,best_g
disp(' ')
disp(' ')

end

