function[Z_b, Z_dnv_b,Z_s, Z_dnv_s, S, t_w,w_h]=Trans_girder(coo, Li, ...
                                          L1, Pi, paneldef,l_s, ti, ta,f_1)
% Code calculation the demand for the transverse beames. Both DNV demand
% and the actual section modulus on the beam by using the highest pressure
% on the beam and the smallest flange thicknesses.
Panel=girder_flange(coo,paneldef);
GP      =zeros(2,2);
w_h     =zeros(1,2);
t_gir   =zeros(length(Panel),4);

S=[0 0]; %length of beams, one in side and one in bottom
for i=1:length(Panel(:,1))
    pn=Panel(i,2); %bottom 
    pi=Panel(i,3); %top
    if Panel(i,1)==1 %Bottom
        %find max P and min t for topp and bottom flande
        %Max pressure
        if Pi(pn)>GP(1,1)
            GP(1,1)=Pi(pn);
        end
        if Pi(pi)>GP(1,2)
            GP(1,2)=Pi(pi);
        end
      
       if coo(pn,2)==coo(pn,4);
        S(1)=S(1)+Li(pn);
       else
        S(1)=S(1)+(coo(pn,3)-coo(pn,1));
       end
       
        w_h(1)=coo(pi,2)-coo(pn,2);%y-coordinate of top flange
        t_w=6+0.02*L1/sqrt(f_1); %floor min t
        t_gir(i,:)=[1 ti(pn)+ta(pn) ti(pi)+ta(pi) t_w/1000];
        
    else %pane(i,1)==2 Side
        
        %Max pressure
        if Pi(pn)>GP(2,1)
            GP(2,1)=Pi(pn);
        end
        if Pi(pi)>GP(2,2)
            GP(2,2)=Pi(pi);
        end
        S(2)=S(2)+Li(pn);
        w_h(2)=coo(pn,1)-coo(pi,1);
        t_w=5+0.02*L1/sqrt(f_1);
        t_gir(i,:)=[2 ti(pn)+ta(pn) ti(pi)+ta(pi) t_w/1000]; %m
    end
end

t_girb=t_gir(find(t_gir(:,1)==1),:);
t_girs=t_gir(find(t_gir(:,1)==2),:);

if length(t_girb(:,1))>1
[minValb ~] = min(t_girb(:,2:4));
else
    minValb=t_girb(1,2:4);
end
[minVals ~] = min(t_girs(:,2:4));
tminb=minValb;
tmins=minVals;
t_w=[tminb(3) tmins(3)];

Z_b=sec_modH(tminb(1),l_s,tminb(2),l_s,w_h(1),tminb(3),S(1))*100^3; %cm^3
Z_dnv_b=100*S(1)^2*l_s*max(GP(1,:))/160; %cm^3 -simple beam analyse
Z_s=sec_modH(tmins(1),l_s,tmins(2),l_s,w_h(2),tmins(3),S(2))*100^3; %cm^3
Z_dnv_s=100*S(2)^2*l_s*max(GP(2,:))/(160*f_1); %cm^3 -DNV
