function [Z,tp,Z_b,Z_dnv_b,Z_s,Z_dnv_s, S,t_w,w_h] = constrfun(si,ti,coo,L1,...
                                Li,Pi,sig,f_1,l_s,mirror,t_add,paneldef,D,Fa)
%The function finds the restrictions and the actual values to be used in
%the constrain test.
%Every number in [m]
high=D; 
n=length(coo(:,1));
ta=zeros(n,1);

Av  =zeros(n,1);        %Empty vector
A   =zeros(n,1);        %Empty vector
I_x =zeros(n,1);        %Empty vector
Sb =zeros(n,1);        %Empty vector
I_xt =zeros(n,1);        %Empty vector
zi  =zeros(n,1);        %Empty vector
%sig =zeros(n,1);        %Empty vector
for i=1:n

if si(i)==0
ta(i)=0;
else
  %Area of panel+ smeared stiffener
 ta(i)=Fa(i)/si(i);      %[m] thickhness added from smeared stiffener.
end

A(i)=(ti(i)+ta(i))*Li(i);   %[m^2]

if coo(i,4)== coo(i,2) %horisontal plate
    zi(i)=coo(i,2)+(ti(i)+ta(i))/2;            
elseif coo(i,1)==coo(i,3)  %vertival plate
    zi(i)=coo(i,2)+Li(i)/2;                      
else
    %sloped panel
    zi(i)=coo(i,2)+(coo(i,4)-coo(i,2))/2;  %[m]
end


%Weigthed total Area
Av(i)=A(i)*zi(i);                       %[m^3]

%Area moment of inertia about the x - axis 
%Mechanics of Materials Ansel C. Ugural
    if coo(i,4)== coo(i,2) %horicontal 
        I_x(i) = (Li(i)*(ti(i)+ta(i))^3)/12; %[m^4]
    elseif coo(i,1)== coo(i,3) %vertical 
        I_x(i) = ((ti(i)+ta(i))*Li(i)^3)/12; %[m^4]
    else %sloped
        Ix = (Li(i)*(ti(i)+ta(i))^3)/12;
        Iy = (Li(i)^3*(ti(i)+ta(i)))/12;
        tet= atan((coo(i,4)-coo(i,2))/(coo(i,3)-coo(i,1))); %rad
        I_x(i)=((Ix+Iy)/2+(Ix-Iy)/2)*cos(2*tet);        
    end

end

%Nautral axis
zn=sum(Av)/(sum(A));                %[m]

%Moment of inertia z axis
for i=1:n
    Sb(i)=(A(i)* (zi(i)-zn)^2);     %[m^4]
    I_xt(i) = I_x(i) + Sb(i) ;      %[m^4] 
end

%Transverce gider requirement
[Z_b, Z_dnv_b,Z_s, Z_dnv_s,S,t_w,w_h]=Trans_girder(coo,Li,L1,Pi,paneldef,l_s,ti,ta,f_1);

%Thickness requrement
ka=max(0.72,min((1.1-0.25*si/l_s).^2,1)); %Begrense?
tp=15.8*ka.*si.*sqrt(Pi)./(sqrt(sig*f_1)*1000); %[m]
%tp2=(t_add(:,1)+t_add(:,2)*L1/sqrt(f_1))/1000; %[m] Used to set the
%feasible range

%tp=max(tp1,tp2);
Z = 10^6*mirror*sum(I_xt/(max(zn,(high-zn)))); % [cm^3]



