function [C_s1, C_s2, C_w, C_l, Frame]= costsimple(s,t,t_c, rho_s,Li,Fa,S,t_w,l_s,w_h,t_hp)
%Cost function
npanel=length(Li);
C_s1=zeros(npanel,1);    %steel cost plate
C_s2=zeros(npanel,1);    %steel cost stiffener
C_w=zeros(npanel,1);    %Weld cost
C_l=zeros(npanel,1);    %Labour cost
Frame=zeros(npanel,1);    %Labour cost
%C_weld=zeros(n,1);  %Weld number of meters

t_refp=0.01;
t_refhp=0.01;
c_pl=0.8;  %euro/kg
c_st=1.6;   %euro/kg
K=80; %kg steel/hour
P4_0=2.5; %workload per meter welding og long stiffeners
dP4=0.02;
P10_0=0.15; %workload to prepare 1 m^2 plate
dP10=0.04;
C8x=2;
dc8x=0.05;

%total steel weigth cost, different parameters for plates and stiffeners
%C_pl=(t_p+t_c)*Li*rho_s*c_pl;  %m^2*t/m^3=t/m

for i=1:npanel
   ns=Li(i)/s(i);
   P10=P10_0*(1+((t(i)+t_c(i)/1000)-t_refp)*10^3*dP10);
    %cost of the steel
   C_s1(i)=(t(i)+t_c(i)/1000)*Li(i)*c_pl*rho_s; %Euro/m
   if s(i)==0
       C_s2(i)=0;
       C_w(i)=0;
       C_l(i)=K*c_st*Li(i)*P10;
   else
   C_s2(i)=Fa(i)*ns*c_st*rho_s;
   %consumables by weld
   C_w(i)=Li(i)*(C8x*(1+dc8x*(t_hp(i)-t_refhp)*10^3)/s(i));
   %Labour  
   P4=P4_0*(1+(t_hp(i)-t_refhp)*10^3*dP4);
   C_l(i)=K*c_pl*Li(i)*(P4/s(i)+P10); 
   end
end
Frame(1:2,1)=S.*t_w.*w_h*rho_s*c_pl/l_s; %euro/m

