function [p_dp] = dynpressure(coo_i,B,T,p_l)
%Sea pressure. DNV Rules for Ships, January 2013, Pt. Ch.1 Sec.4

%load point in bottom left corner
        %Horizontal distance from centerline. 
        y=max(min(coo_i(3),coo_i(1)),B/4);    
        %Vertival distance from baceline to load point
        z=min(min(coo_i(4),coo_i(2)),T);
        
        p_dp=p_l+135*(y/(B+75))-1.2*(T-z); 
        
end