function [PN]=girder_flange(coo, paneldef)
%Find the oposite panel for input to H-beam: thickness of flanges, heigth of
%web, thickness of web

t=1; %counter
PN=zeros(length(paneldef),3);
for i=1:length(paneldef)
    if   strcmp(paneldef(i),'BOTTOM_OUT')==1
        if coo(i,4)==coo(i,2) %horizontal panel
      for h=1:length(paneldef) %
       for j=1:length(paneldef)
           if (coo(i,3)==coo(h,1) && coo(i,4)==coo(h,2)) && ...
                   (coo(j,3)==coo(h,3) && coo(j,4)==coo(h,4)) && h~=j
               PN(t,:)=[1 i j];
               t=t+1;
           end
       end
      end
        else %sloped panel
                for j=1:length(paneldef)
                if  i~=j && (coo(i,3)==coo(j,3) && coo(i,4)==coo(j,4)) ...
                        && coo(j,2)==coo(j,4)
                    PN(t,:)=[1 i j];
                    t=t+1;
                end
                end           
        end
    end
end

%find the horizontal panel over the keel conected with the center girder
for i=1:length(paneldef)
   if strcmp(paneldef(i),'KEEL')==1  
       
       for h=1:length(paneldef)
                for j=1:length(paneldef)
                if (coo(h,1)==coo(i,1) && coo(h,2)==coo(i,2)) && i~=h && ...
                   (coo(h,3)==coo(j,1) && coo(h,4)==coo(j,4))  && coo(j,2)==coo(j,4)
                    PN(t,:)=[1 i j];
                    H_ib=coo(j,2);
                    t=t+1;
                end
                end
       end         
   end
end

               

for i=1:length(paneldef)
if strcmp(paneldef(i),'SIDE_EXT')==1 && coo(i,2)>=H_ib %indre bunn kode
   for h=1:length(paneldef)
       for j=1:length(paneldef)
           for k=1:length(paneldef)
           if (coo(i,3)==coo(h,3) && coo(i,4)==coo(h,4)) && ...
                   (coo(k,3)==coo(h,1) && coo(k,4)==coo(h,2)) && ...
                   (coo(i,1)==coo(j,3) && coo(i,2)==coo(j,4)) && ...
                   (coo(k,1)==coo(j,1) && coo(k,2)==coo(j,2)) && k~=j
               PN(t,:)=[2 i k];
               t=t+1;
           end
           end
       end
   end
end
end
PN(PN(:,1)==0,:)=[]; %remove the unused columns
for i=1:length(PN(:,1))
    for j=1:length(PN(:,1))
    if PN(i,2)==PN(j,2) && j~=i && (PN(j,1)~=0 && PN(i,1)~=0)
        if coo(PN(i,3),3)-coo(i,3) < coo(PN(j,3),3)-coo(i,3) %delta x
          PN(j,1)=0;
        else
        PN(i,1)=0;
        end
    end
    end
end
PN(PN(:,1)==0,:)=[]; %remove the empty rows

    
    
    