function [Zg, C_w]=globalsectionmod(Ls,B, C_B, f_1,R_)
%Calculate DNV's demand for the section modulus. DNV Rules for Ships over 
%100 meter, January 2013. Pt.3 Ch.1 Sec.5

P_add=1.2; %Additional up to 40%
%Rules for Ships, Pt.3 Ch.1 Sec.4 B200 
%Wave coefficient dependent on ship length
if Ls<=100
    C_w=0.0792*Ls;
    elseif 100<Ls<300
    C_w=10.75-((300-Ls)/100)^(3/2);
    elseif 300<=Ls<=350
    C_w=10.75;   
    else
    C_w=10.75-((Ls-350)/150)^(3/2);
end

%Rules for Ships, Pt.3 Ch.1 Sec.5 B106 & B200
%Still water and wave bending monents, dependent on ship parameters [kNm]
C_wu=C_w*(1-R_/10);
 Ms_s= (-0.065* C_wu* Ls^2* B*(C_B+0.7))*P_add;   
 Ms_h= (C_wu*Ls^2*B*(0.1225-0.015*C_B)); %xxx nor restricted
 
 C_B=max(C_B,0.6);
 Mw_s= (-0.11* C_w* Ls^2* B*(C_B+0.7))*P_add;   
 Mw_h= ( 0.19* C_w* Ls^2* B* C_B);
 
%Rules for Ships, Pt.3 Ch.1 Sec.5 C304 
%Global section modulus demand. 

Zg=(max(abs(Ms_s+Mw_s),abs(Ms_h+Mw_h))*10^3/(175*f_1)); %[cm^3]