function [Ls, D, T, B, v, C_B, f_1, R_, alfa, rho_s, rho_c, H_air, mirror,...
    l_s,coo,Li, T0, K, T_C, paneldef,war] = inputvalues(name, name2,excel)
%Read in the user defines geometry for the panels (only one side of the
%ship). Remember to double where its needed. Stores and distributes the 
%ship parameters

%Retreave ship information
if excel==0
%If excel not installed:
[num1,~,~] = xlsread(name,'','','basic');
else
%if excel installed:
[num1,~,~] = xlsread(name);
end
Ls  =num1(1);
D   =num1(2);
T   =num1(3);
B   =num1(4);
v   =num1(5);
C_B =num1(6);
f_1 =num1(7);
R_   =num1(8);
alfa  =num1(9);
rho_s=num1(10);      %Steel dencity 
rho_c=num1(11);      %Cargo dencity 
H_air=num1(12);         %Height of air pipe above main deck
mirror=num1(13); %2 for mirrord geom, 1 for not xxx user adaption
l_s=num1(14); 

% Geometry input
if excel==0
%if excel not installed:
[num2,txt2,~] = xlsread(name2,'','','basic');
else
%if excel installed:
[num2,txt2,~] = xlsread(name2);
end

coln2=length(txt2(:,1));
paneldef=txt2(2:coln2, 1);
% column 1-4 has local coordinats(y,z)of the panel defined by each row
coo=num2(:,1:4);
%paneltype=num2(:,5);
for i=1:length(txt2(1,:))
    if strcmp(txt2(1,i),'T0[mm]')==1
        T0=num2(:,i-1);
    elseif strcmp(txt2(1,i),'K[]')==1
        K=num2(:,i-1);
    elseif strcmp(txt2(1,i),'T_C[mm]')==1
        T_C=num2(:,i-1);
    end
end



%% Use input geometry
%Test that all the nodes are accunted for 
[war]=geotest(coo);
%Record panel lengths
n=size(coo(:,1));         %Number of rows
Li=zeros([n 1]);        %Empty vector for panel lengths
for i=1:n
   
    if (coo(i,4)-coo(i,2)) ==0
        Li(i)= abs(coo(i,3)-coo(i,1));
    elseif (coo(i,3)-coo(i,1))==0
        Li(i)=abs((coo(i,4)-coo(i,2)));
    else
        Li(i)=sqrt((coo(i,4)-coo(i,2))^2+(coo(i,3)-coo(i,1))^2);
    end

end
  fclose('all');


