function [Fa,HP,HPn,HPm]=profiles(Fai)
%Set stiffener to closest acceptable. Input area in in m^2
n=length(Fai);
% USER DEFINED:
 HP=[ 7.74 100 6; 9.74 100 8; 9.31 120 6; 11.7 120 8; 13.8 140 8; ...
     15.2 140 9; 16.2 160 8; 17.8 160 9; 20.7 180 9; 23.6 200 9; 29 220 10; 32.4 240 10];
 HP=sortrows(HP);
 [hn ~]=size(HP);
 HPm=HP(hn,1)/100^2; %[m^2]
 HPn=zeros(n,1);
 Fa=zeros(n,1);

 for i=1:n
 for j=1:length(HP(:,1))
    if Fai(i)<=HP(j,1)/100^2;
        Fa(i)=HP(j,1)/100^2;
        HPn(i)=j;
        break
    end
    if j==length(HP(:,1)) && HPn(i)==0
        Fa(i)=HPm+2/100^2; % can't go higher. Need to reduce stiffener distance
        HPn(i)=j;
    end
 end
 
 end
 
