function [nst,Fai, Fa,t_hp,h_hp,HPm]= stipar(s,Li,P,l_s,f_1)
%Calculating the section modulus demand of a stiffener based on stiffener
%distance and pressure on the panel. Empirical formula.

n=length(Li);
%In vector form:
nst =zeros(n,1);        %Empty vector 
Z  =zeros(n,1);        %Empty vector
Zm  =zeros(n,1);        %Empty vector
Fai  =zeros(n,1);        %Empty vector
for i=1:length(Li)
nst(i)=round(Li(i)/s(i));               %Number of stiffeners on the plate. 
                                        %Rounded to nearest integer.
Z(i)=(83*P(i)*s(i)*l_s^2)/((160*f_1));      %[cm^3]
Fai(i) = (-7*10^-5*Z(i)^2 + 0.1084*Z(i) + 6.0776); %[cm^2] Area function for stiffener
Zm(i)=(Z(i)*100^3);      %[m^3]
end
%Matrix of available stiffeners
[Fa,HP,HPn,HPm]=profiles(Fai/100^2); %[m^2]
t_hp=HP(HPn,3)/1000; %[m]
h_hp=HP(HPn,2);